import { get, put, post, deletes } from '@/http/index'

// 查询寿命预测列表
export const getLifePrediction = async (data) => {
  return await get('/als/lifePrediction/list', data)
}

// 新增寿命预测
export const addLifePrediction = async (data) => {
  return await post('/als/lifePrediction', data)
}

// 修改寿命预测
export const updateLifePrediction = async (data) => {
  return await put('/als/lifePrediction', data)
}

// 删除寿命预测
export const removeLifePrediction = async (id) => {
  return await deletes('/als/lifePrediction/' + id)
}

//  获取机种和机型树
export const getAircaftTypeAndModelTree = async (data) => {
  return await get('/basicdata/aircaftCatalog/getAircaftTypeAndModelTree', data)
}
